#![feature(str_strip)]
extern crate reqwest;
extern crate tempfile;

use crate::problem10::lib::Problem10;

mod problem10;
mod util;


pub trait Problem {
    // Parses input and generates state
    fn new(input: &String) -> Self;

    // Runs on state
    fn run_part1(&self);
    fn run_part2(&self);
}

fn main() {
    let problem10 = Problem10::new(&util::get_problem(10));
    problem10.run_part1();
    problem10.run_part2();
}
